library main;

import 'package:flutter/material.dart';
import 'package:xwidgetsbase/xWidgetsBase.dart';

class XAppBase extends StatelessWidget {
  Map<String, Widget Function(BuildContext)> routes = const <String, WidgetBuilder>{};
  dynamic appState;
  String? appVersion = "1.0";
  String? titleApp = "";
  String? nameApp = "";
  String? initialPage = "";
  XAppBase(
    this.routes, {
    this.appState,
    this.appVersion,
    this.nameApp,
    this.initialPage,
    this.titleApp,
  });

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      routes: routes,
      title: "",
      initialRoute: initialPage,
      debugShowCheckedModeBanner: false,
      theme: ThemeData(
        primarySwatch: Colors.blue,
        brightness: Brightness.dark,
        primaryColor: Colors.lightBlue[800],
        textTheme: const TextTheme(
          headline1: TextStyle(fontSize: 72.0, fontWeight: FontWeight.bold),
          headline6: TextStyle(fontSize: 36.0, fontStyle: FontStyle.normal),
          bodyText2: TextStyle(fontSize: 14.0, fontFamily: 'Hind'),
          bodyText1: TextStyle(fontSize: 16, fontWeight: FontWeight.bold),
          caption: TextStyle(
            fontSize: 12,
          ),
        ),
      ),
    );
  }
}
